From: Henning Schild <henning.schild@siemens.com>
To: <isar-users@googlegroups.com>
Cc: Henning Schild <henning.schild@siemens.com>
Subject: [PATCH 3/8] CI: install qemu-system when qemu testing is requested
Date: Tue, 10 Jan 2023 13:17:43 +0100 [thread overview]
Message-ID: <20230110121748.14917-4-henning.schild@siemens.com> (raw)
In-Reply-To: <20230110121748.14917-1-henning.schild@siemens.com>
And also change gitlab ci config to request qemu testing.
Signed-off-by: Henning Schild <henning.schild@siemens.com>
---
.gitlab-ci.yml | 2 +-
scripts/ci_build.sh | 5 +++++
2 files changed, 6 insertions(+), 1 deletion(-)
diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
index fcdefa87bf66..dc8a01b9d1d6 100644
--- a/.gitlab-ci.yml
+++ b/.gitlab-ci.yml
@@ -27,7 +27,7 @@ fast-ci:
except:
- schedules
script:
- - scripts/ci_build.sh -q -f -n
+ - scripts/ci_build.sh -q -f
full-ci:
<<: *common-build
diff --git a/scripts/ci_build.sh b/scripts/ci_build.sh
index e5f20d4f0a1f..1704ec17af89 100755
--- a/scripts/ci_build.sh
+++ b/scripts/ci_build.sh
@@ -127,6 +127,11 @@ fi
if [ -n "$NORUN" ]; then
TAGS="$TAGS,-startvm"
+else
+ if ! command -v qemu-system-x86 > /dev/null; then
+ sudo apt-get update -qq
+ sudo apt-get install -y qemu-system
+ fi
fi
# Provide working path
--
2.38.2
next prev parent reply other threads:[~2023-01-10 12:18 UTC|newest]
Thread overview: 23+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-01-10 12:17 [PATCH 0/8] CI rework of gitlab fast job Henning Schild
2023-01-10 12:17 ` [PATCH 1/8] CI: move to avocado to 99.0 Henning Schild
2023-01-10 12:17 ` [PATCH 2/8] CI: fix shell coding style Henning Schild
2023-01-10 12:17 ` Henning Schild [this message]
2023-01-10 12:17 ` [PATCH 4/8] testsuite: remove Ccache test from "fast" set Henning Schild
2023-01-10 12:38 ` Jan Kiszka
2023-01-10 12:17 ` [PATCH 5/8] testsuite: remove Sdk " Henning Schild
2023-01-10 12:38 ` Jan Kiszka
2023-01-10 15:44 ` Henning Schild
2023-01-10 12:17 ` [PATCH 6/8] testsuite: remove ContainerImage " Henning Schild
2023-01-10 12:17 ` [PATCH 7/8] testsuite: remove ContainerSdk " Henning Schild
2023-01-10 12:17 ` [PATCH 8/8] testsuite: remove Sstate " Henning Schild
2023-01-10 12:24 ` [PATCH 0/8] CI rework of gitlab fast job Henning Schild
2023-01-12 12:23 ` Baurzhan Ismagulov
2023-01-12 15:12 ` Henning Schild
2023-01-12 15:20 ` Baurzhan Ismagulov
2023-01-12 23:43 ` Henning Schild
2023-01-13 4:34 ` Moessbauer, Felix
2023-01-13 13:14 ` Baurzhan Ismagulov
2023-01-13 17:14 ` Henning Schild
2023-01-14 14:40 ` Baurzhan Ismagulov
2023-01-23 8:26 ` Henning Schild
2023-04-02 19:13 ` Baurzhan Ismagulov
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20230110121748.14917-4-henning.schild@siemens.com \
--to=henning.schild@siemens.com \
--cc=isar-users@googlegroups.com \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox